services:
  - type: web
    name: matiko
    runtime: docker
    plan: free
    region: oregon
    repo: https://github.com/sammyger00/MATIKO.git
    branch: main
    dockerfilePath: ./Dockerfile
    envVars:
      - key: APP_NAME
        value: Matiko
      - key: APP_ENV
        value: production
      - key: APP_DEBUG
        value: false
      - key: APP_KEY
        generateValue: true
      - key: APP_URL
        sync: false
      - key: LOG_CHANNEL
        value: stderr
      - key: LOG_LEVEL
        value: info
      # Database - SQLite (ephemeral on free tier)
      - key: DB_CONNECTION
        value: sqlite
      - key: DB_DATABASE
        value: /var/www/database/database.sqlite
      # Cache - Array (no database dependency)
      - key: CACHE_STORE
        value: array
      # Session - File based
      - key: SESSION_DRIVER
        value: file
      - key: SESSION_LIFETIME
        value: 120
      # Queue - Database
      - key: QUEUE_CONNECTION
        value: database
      # PesaPal Configuration
      - key: PESAPAL_LIVE
        value: false
      - key: PESAPAL_CONSUMER_KEY
        value: qkio1BGGYAXTu2JOfm7XSXNruoZsrqEW
      - key: PESAPAL_CONSUMER_SECRET
        value: osGQ364R49cXKeOYSpaOnT++rHs=
